<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePlayTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('play', function (Blueprint $table) {
            $table->increments('id_play');
            $table->bigInteger('id_user')->unsigned();
            $table->integer('id_part')->unsigned();
            $table->integer('score');
            $table->foreign('id_user')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_part')->references('id_part')->on('part')->onDelete('restrict')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

        // Schema::table('play', function(Blueprint $table) {
  			//      $table->dropForeign('play_id_user_foreign');
        // });
        //
        // Schema::table('play', function(Blueprint $table) {
  			//      $table->dropForeign('play_id_part_foreign');
        // });

        Schema::dropIfExists('play');
    }
}
